Skip to main content
`Ctrl`+`K`

# DMRestoreLocalVector

Returns a PETSc vector that was obtained from `DMGetLocalVector()`. Do not use with vector obtained via `DMCreateLocalVector()`.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMRestoreLocalVector(DM dm, Vec *g)

Not Collective

## Input Parameters

- dm - the `DM`

- g - the local vector

## See Also

`DM`, `DMCreateGlobalVector()`, `VecDuplicate()`, `VecDuplicateVecs()`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMGlobalToLocalBegin()`, `DMGlobalToLocalEnd()`, `DMLocalToGlobalBegin()`, `DMCreateLocalVector()`, `DMGetLocalVector()`, `DMClearLocalVectors()`

## Level

beginner

## Location

src/dm/interface/dmget.c

## Examples

src/dm/impls/plex/tutorials/ex6.c
src/ksp/ksp/tutorials/ex43.c
src/dm/tutorials/ex13f90.F90
src/dm/impls/stag/tutorials/ex1.c
src/dm/impls/stag/tutorials/ex4.c
src/dm/impls/stag/tutorials/ex3.c
src/dm/impls/stag/tutorials/ex2.c
src/ksp/ksp/tutorials/ex49.c
src/dm/impls/stag/tutorials/ex6.c
src/dm/tutorials/ex14.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages